/*
 *	premiere scene pour le projet "Altitude"
 *		nouveau 9 fevrier 2022 - rue Ernest Renan
 */


#version 3.7;

global_settings {
		ambient_light rgb <0.01, 0.01, 0.01>
		assumed_gamma 1.0
		}

#include  "colors.inc"

/* ---------------------------------------------------- */

#include  "macros.inc"
#include  "common.inc"
#declare NormClock = clock/720;

#declare HF_red = object
{
height_field {
        pgm "red.pgm"	smooth    // on
        translate <-0.5, 0, -0.5>
        scale  <19, 1.20, 10>
	texture {
		pigment { Mon_Rouge }
		finish {  diffuse 0.35 specular 0.38  }
		}
       }
}
#declare HF_green = object
{
height_field {
        pgm "green.pgm"	smooth    // on
        translate <-0.5, 0, -0.5>
        scale  <19, 1.20, 10>
	texture {
		pigment { Mon_Vert }
		finish {  diffuse 0.35 specular 0.38  }
		}
       }
}
#declare HF_blue = object
{
height_field {
        pgm "blue.pgm"	smooth    // on
        translate <-0.5, 0, -0.5>
        scale  <19, 1.20, 10>
	texture {
		pigment { Mon_Bleu }
		finish {  diffuse 0.35 specular 0.38  }
		}
       }
}

object { HF_red			translate y*0.3330 }
object { HF_green		translate y*0.3332 }
object { HF_blue		translate y*0.3334 }

/* ---------------------------------------------------- */

object { Le_Sol }

// light_source { <14, 9, -7> color Orange*Cos_01(NormClock) }
// light_source { <-4, 5, -17> color Blue*Cos_010(NormClock*4) }
// light_source { <-45, 25, -117> color Red*Cos_01(1.0-NormClock) }
light_source { < 12, 9,  -17>  color Gray70 }
light_source { <-12, 9,  -17>  color Gray70 }

#declare ECAM = 12.50;
#declare LOCX = ECAM * sin(radians(clock/7));
#declare LOCY = 9.7;
#declare LOCZ = ECAM * cos(radians(clock/8));

camera	{
	location	<LOCX, LOCY, LOCZ>
	look_at		< 0, -3, 0>
	angle		58
	}

/* ---------------------------------------------------- */
